# ESP32 Static IP Project

Welcome to the **ESP32 Static IP** project! This is a working example of how to configure a static IP using `non_std`.

## Features

- Connect to your static IP and serve an image. 
- Tested on a Lora32 T3 v1.6.1.

## Requirements

- [espup](https://github.com/esp-rs/espup) installed
- [Rust](https://www.rust-lang.org/) installed

## Installation

1. Clone the repository:
    ```bash
    git clone https://github.com/bibble235/esp32-static-ip.git
    ```

2. Navigate to the project directory:
    ```bash
    cd esp32-static-ip
    ```

3. Set the environment variables for your static IP and Wi-Fi credentials. Remember to escape special characters like `@` and `$`:
    ```bash
    export SSID="MyWifi"
    export PASSWORD="MyPassword"
    export STATIC_IP="10.1.2.3"
    export GATEWAY_IP="10.1.1.99"
    ```

## Usage

Build and run the application with the following commands:
```bash
cargo build
cargo run
```

## License

This project is licensed under the [License Name]. See the [LICENSE](LICENSE) file for details.

## Demonstration

Below is a screenshot of a Lora32 T3 v1.6.1 running this application:

![Screenshot of a Lora32 T3 v1.6.1 running this app.](./assets/images/esp32-static-ip.png)

## Contact

For questions or feedback, please contact [iwiseman@bibble.co.nz](mailto:iwiseman@bibble.co.nz).

---

![Rust](https://img.shields.io/badge/Rust-Language-black?logo=rust&logoColor=white)
![ESP32](https://img.shields.io/badge/ESP32-Microcontroller-blue)